Bug 450823 - Provide soft-float multilibs on ppc
Provide soft-float multilibs on ppc
Product: Fedora
Classification: Fedora
Component: gcc (Show other bugs)
powerpc Linux
low Severity medium
: ---
: ---
Assigned To: Jakub Jelinek
Fedora Extras Quality Assurance
: Reopened
Depends On:
  Show dependency treegraph
Reported: 2008-06-11 04:46 EDT by Kumar Gala
Modified: 2009-07-14 13:59 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2009-07-14 13:59:24 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Kumar Gala 2008-06-11 04:46:42 EDT
Provide soft-float multilibs.  There are some tools that get built with
-msoft-float and than we get:

ld: Warning: /usr/lib/gcc/ppc64-redhat-linux/4.3.0/libgcc.a(_lshrdi3.o) uses
hard float, u-boot uses soft float
ld: Warning: /usr/lib/gcc/ppc64-redhat-linux/4.3.0/libgcc.a(_ashldi3.o) uses
hard float, u-boot uses soft float
ld: Warning: /usr/lib/gcc/ppc64-redhat-linux/4.3.0/libgcc.a(_udivdi3.o) uses
hard float, u-boot uses soft float
ld: Warning: /usr/lib/gcc/ppc64-redhat-linux/4.3.0/libgcc.a(_umoddi3.o) uses
hard float, u-boot uses soft float
Comment 1 Jakub Jelinek 2008-06-11 04:54:20 EDT
The -msoft-float multilibs are intentionally left out, Fedora doesn't support
any PPCs without hw float support.
Just fix stuff to avoid using -msoft-float.
Comment 2 Kumar Gala 2008-06-11 09:53:50 EDT
Is there any particular reason for this decision?
Comment 3 Jakub Jelinek 2008-06-11 10:00:28 EDT
Yes, more than one hour build time for each gcc build and package size.
Comment 4 Kumar Gala 2008-06-11 10:09:17 EDT
Can we look at a separate build/package for this config?  it seems unreasonable
to have no way of building an application w/o FP usage.

In the particular case we are building a firmware image that can NOT be changed
to work w/o -msoft-float (similar to how we build the kernel today).

There had been some talk in the linuxppc kernel community about using gcc's
libgcc, but this would be a possible issue if we ever wanted to do that.
Comment 5 Kumar Gala 2009-03-21 23:03:39 EDT
In building the fedora 10 gcc w & w/o the nof/soft-float libs I see the following difference in build time (this is on a 4-core G5 box)

stock gcc-4.4.0-0.23.src.rpm:

time rpmbuild --target=ppc -ba gcc43.spec

real    225m37.049s
user    418m7.116s
sys     112m6.530s


gcc-4.4.0-0.23.src.rpm + patch to revert change to gcc/config/rs6000/t-linux64

time rpmbuild --target=ppc -ba gcc43.spec

real    234m28.221s
user    432m22.925s
sys     118m44.925s

So I don't see the claim of a one hour build difference.  Additionally, we are looking at trying to enable a soft-float build of fedora to enable it on the vast number of embedded PPC chips that exist.  Allowing nof/soft-float in the stock gcc allows us to use it to develop and test the soft-float support.
Comment 6 Bug Zapper 2009-06-09 21:32:51 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
Comment 7 Bug Zapper 2009-07-14 13:59:24 EDT
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.